Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.keyvalue
Class UnmodifiableMapEntry

    java.lang.Object
      org.apache.commons.collections.keyvalue.AbstractKeyValue
          org.apache.commons.collections.keyvalue.AbstractMapEntry
              org.apache.commons.collections.keyvalue.UnmodifiableMapEntry

All Implemented Interfaces:
  java.util.Map.Entry, KeyValue, Unmodifiable

    public final class UnmodifiableMapEntry

extends AbstractMapEntry
implements Unmodifiable

A `Map.Entry` that throws UnsupportedOperationException when `setValue` is called.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`key, value`

Constructor Summary
`UnmodifiableMapEntry(KeyValue pair)` Constructs a new entry from the specified `KeyValue`.
`UnmodifiableMapEntry(java.util.Map.Entry entry)` Constructs a new entry from the specified `Map.Entry`.
`UnmodifiableMapEntry(java.lang.Object key, java.lang.Object value)` Constructs a new entry with the specified key and given value.

Method Summary
`java.lang.Object` | `setValue(java.lang.Object value)` Throws UnsupportedOperationException.

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry
`equals, hashCode`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`getKey, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`getKey, getValue`

Constructor Detail

### UnmodifiableMapEntry

    public UnmodifiableMapEntry(java.lang.Object key,
                                java.lang.Object value)

  Constructs a new entry with the specified key and given value.

  Parameters:
    `key` - the key for the entry, may be null
    `value` - the value for the entry, may be null

### UnmodifiableMapEntry

    public UnmodifiableMapEntry(KeyValue pair)

  Constructs a new entry from the specified `KeyValue`.

  Parameters:
    `pair` - the pair to copy, must not be null
  Throws:
    `java.lang.NullPointerException` - if the entry is null

### UnmodifiableMapEntry

    public UnmodifiableMapEntry(java.util.Map.Entry entry)

  Constructs a new entry from the specified `Map.Entry`.

  Parameters:
    `entry` - the entry to copy, must not be null
  Throws:
    `java.lang.NullPointerException` - if the entry is null

Method Detail

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Throws UnsupportedOperationException.

  Specified by:
    `setValue` in interface `java.util.Map.Entry`
  Overrides:
    `setValue` in class `AbstractMapEntry`
  Parameters:
    `value` - the new value
  Returns:
    the previous value
  Throws:
    `java.lang.UnsupportedOperationException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.